---
schema_version: "1"
id: 211edf9f23a18ce95e001eca6613bcd48dd0b2c353132211d21708ef102ee89e
title: Get Batch Status
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/pb-get-batch-status.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/guide/pb-get-batch-status.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: dc72056bbaca27f2af471b5f15acc6f4fa316e2fcdfb4784bfebc31f6d4829a5
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# Get Batch Status

## Overview

This API resource checks the status of a batch of privacy settings changes. The call returns the status of each change made to the profiles.

## Method and Endpoint

`GET https://app.igodigital.com/api/v2/organization/{customer_mid}/privacy/{batch_id}`

## URL Parameters

| Name | Type | Description |
| ---- | ---- | ----------- |
| customer_mid | string | ID for the account. |
| batch_id | string | ID generated when creating a batch of privacy setting changes. |

## Example Request

```
Host:  https://app.igodigital.com
GET    /api/v2/organization/12345678/privacy/af417962-c188-4110-adc2-7ea67590e254
Content-Type: application/json
Authorization: Bearer YOUR_API_KEY
```

## Example Response

Status values for a change can be `initiated`, `success`, `failed` or `cancelled`.

```
[
    {
        "date_initiated": "2018-03-12 18:45:17 UTC",
        "profile_id": "hashed-id-01",
        "action": "add_do_not_track",
        "source": "api",
        "status": "success",
        "batch_id": "af417962-c188-4110-adc2-7ea67590e254",
        "date_completed": "2018-03-12 18:45:17 UTC"
    },
    {
        "date_initiated": "2018-03-12 18:45:17 UTC",
        "profile_id": "hashed-id-08",
        "action": "remove_do_not_profile",
        "source": "api",
        "status": "initiated",
        "batch_id": "af417962-c188-4110-adc2-7ea67590e254",
        "date_completed": "2018-03-12 18:45:17 UTC"
    }
]
```
